# Uses of Enum
org.apache.zookeeper.server.quorum.QuorumPeer.SyncMode

Packages that use QuorumPeer.SyncMode
Package
Description
org.apache.zookeeper.server.quorum

## Uses of QuorumPeer.SyncMode in org.apache.zookeeper.server.quorum

Subclasses with type arguments of type QuorumPeer.SyncMode in org.apache.zookeeper.server.quorum
Modifier and Type
Class
Description
`static enum`
`QuorumPeer.SyncMode`
(Used for monitoring) When peer is in synchronization phase, this shows which synchronization mechanism is being used
Methods in org.apache.zookeeper.server.quorum that return QuorumPeer.SyncMode
Modifier and Type
Method
Description
`QuorumPeer.SyncMode`
QuorumPeer.`getSyncMode()`
`static QuorumPeer.SyncMode`
QuorumPeer.SyncMode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static QuorumPeer.SyncMode[]`
QuorumPeer.SyncMode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.zookeeper.server.quorum with parameters of type QuorumPeer.SyncMode
Modifier and Type
Method
Description
`void`
QuorumPeer.`setSyncMode(QuorumPeer.SyncMode syncMode)`